/************************************************************************************
*                                 JavaScript project:                               *
*                                      Systometer                                   *
*                                    Themes object                                  *
*                                                                                   *
*                                 20©08 f.e.d studios                               *
*                             http://www.fed-studios.com                            *
************************************************************************************/

function themes(){
	var t = {
		list : null,
		file : System.Gadget.path + '\\xml\\themes.xml',
		update : function(){
			t.list = new Array();
			var xmlDoc = new ActiveXObject("Msxml2.DOMDocument.3.0");
			xmlDoc.async = false;			
			xmlDoc.load(t.file);
			if(xmlDoc.parseError.errorCode != 0){
				var myErr = xmlDoc.parseError;				
			}else{
				var themesRoot = xmlDoc.documentElement;
				for(var i=0;i<themesRoot.childNodes.length;i++){
					if(themesRoot.childNodes[i].nodeName == 'theme'){
						var theme = themesRoot.childNodes[i];
						for(var j=0;j<theme.childNodes.length;j++){
							if(theme.childNodes[j].nodeName == 'name'){
								var nameStr = theme.childNodes[j].text;
							}else if(theme.childNodes[j].nodeName == 'image'){
								var imageStr = theme.childNodes[j].text;
							}else if(theme.childNodes[j].nodeName == 'textColor'){
								var colorStr = theme.childNodes[j].text;
							}
						}
						t.list.push({name : nameStr, image : imageStr, color : colorStr});
					}
				}
			}
		}
	};
	return t;
}