/************************************************************************************
*                                 JavaScript project:                               *
*                                     Systometer                                    *
*                               Gadget Settings Object                              *
*                                                                                   *
*                                 20©08 f.e.d studios                               *
*                             http://www.fed-studios.com                            *
************************************************************************************/

function gadgetSettingsObject(){
	var gsObj = {
		selectedNetworkCardIndex : null,
		maxUpBandwidth : null,
		maxDownBandwidth : null,
		theme : null,
		file : System.Gadget.path + '\\xml\\settings.xml',
		status : null,
		loadSettings : function(){
			var xmlDoc = new ActiveXObject("Msxml2.DOMDocument.3.0");
			xmlDoc.async = false;			
			xmlDoc.load(gsObj.file);
			if(xmlDoc.parseError.errorCode != 0){
				var myErr = xmlDoc.parseError;
				gsObj.status = myErr.reason;
			}else{
				var settingsRoot = xmlDoc.documentElement;
				for(var i=0;i<settingsRoot.childNodes.length;i++){
					if(settingsRoot.childNodes[i].nodeName == 'selectedNetworkCardIndex'){
						gsObj.selectedNetworkCardIndex = parseInt(settingsRoot.childNodes[i].text);
					}else if(settingsRoot.childNodes[i].nodeName == 'theme'){
						gsObj.theme = parseInt(settingsRoot.childNodes[i].text);
					}else if(settingsRoot.childNodes[i].nodeName == 'maxUpBandwidth'){
						gsObj.maxUpBandwidth = parseInt(settingsRoot.childNodes[i].text);
					}else if(settingsRoot.childNodes[i].nodeName == 'maxDownBandwidth'){
						gsObj.maxDownBandwidth = parseInt(settingsRoot.childNodes[i].text);
					}
				}
				gsObj.status = 'Loaded';
			}
		},
		saveSettings : function(){
			var xmlDoc = new ActiveXObject("Msxml2.DOMDocument.3.0");
			xmlDoc.async = false;			
			xmlDoc.load(gsObj.file);
			if(xmlDoc.parseError.errorCode != 0){
				var myErr = xmlDoc.parseError;
				gsObj.status = myErr.reason;
			}else{
				var settingsRoot = xmlDoc.documentElement;
				for(var i=0;i<settingsRoot.childNodes.length;i++){
					if(settingsRoot.childNodes[i].nodeName == 'selectedNetworkCardIndex'){
						settingsRoot.childNodes[i].text = gsObj.selectedNetworkCardIndex.toString();
					}else if(settingsRoot.childNodes[i].nodeName == 'theme'){
						settingsRoot.childNodes[i].text = gsObj.theme.toString();
					}else if(settingsRoot.childNodes[i].nodeName == 'maxUpBandwidth'){
						settingsRoot.childNodes[i].text = gsObj.maxUpBandwidth.toString();
					}else if(settingsRoot.childNodes[i].nodeName == 'maxDownBandwidth'){
						settingsRoot.childNodes[i].text = gsObj.maxDownBandwidth.toString();
					}
				}
				xmlDoc.save(gsObj.file);
				gsObj.status = 'Saved';
			}
		}
	};
	return gsObj;
}